## salt 2018.3.4+dfsg1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
SPHINXLANG    =
XELATEX       = xelatex

# ----- Translations Support ------------------------------------------------>
#  If language is set, also set translation options
ifeq ($(shell [ "x$(SPHINXLANG)" != "x" ] && echo 0 || echo 1), 0)
TRANSLATIONOPTS = -D language='$(SPHINXLANG)'
else
TRANSLATIONOPTS =
endif

#  Reset settings if sphinx-intl is not available
ifeq ($(shell which sphinx-intl >/dev/null 2>&1; echo $$?), 1)
SPHINXLANG =
TRANSLATIONOPTS =
endif
# <---- Translations Support -------------------------------------------------

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(TRANSLATIONOPTS) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean check_sphinx-build html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext translations download-translations

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  pdf        to make Salt-all.pdf and splitted pdf using xelatex"
	@echo "  cheatsheet to create salt-cheatsheet.pdf"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
	test -d 'locale' && find locale/ -name *.mo -exec rm {} \; || true

# User-friendly check for sphinx-build
check_sphinx-build:
	@which $(SPHINXBUILD) >/dev/null 2>&1 || (echo "The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)" >&2; false)

html: check_sphinx-build translations
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: check_sphinx-build translations
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: check_sphinx-build translations
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: check_sphinx-build translations
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: check_sphinx-build translations
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: check_sphinx-build translations
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: check_sphinx-build translations
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Salt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Salt.qhc"

devhelp: check_sphinx-build translations
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Salt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Salt"
	@echo "# devhelp"

epub: check_sphinx-build translations
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: check_sphinx-build translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: check_sphinx-build translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: check_sphinx-build translations
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

pdf: check_sphinx-build translations
	@if [ "$(XELATEX)"  = "xelatex" ] || [ "x$(XELATEX)" = "x" ]; then \
		echo "The '$(XELATEX)' command was not found."; \
	fi
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through xelatex..."
	perl -pi -e 's!pdflatex!xelatex!' $(BUILDDIR)/latex/Makefile
	$(MAKE) -C $(BUILDDIR)/latex -i LATEXOPTS="-interaction=nonstopmode"
	@echo "xelatex finished; the PDF files are in $(BUILDDIR)/latex."

cheatsheet: translations
	@echo "Running cheatsheet/salt.tex file through xelatex..."
	cd cheatsheet &&  xelatex salt.tex && cp salt.pdf ../salt-cheatsheet.pdf
	@echo "./salt-cheatsheet.pdf created."

text: check_sphinx-build translations
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: check_sphinx-build translations
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo: check_sphinx-build translations
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info: check_sphinx-build translations
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext: check_sphinx-build
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale"

changes: check_sphinx-build translations
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

spelling: check_sphinx-build
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Spell check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/spelling/output.txt."

linkcheck: check_sphinx-build
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: check_sphinx-build
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml: check_sphinx-build translations
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml: check_sphinx-build translations
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

translations:
	@if [ "$(SPHINXLANG)" = "en" ] || [ "x$(SPHINXLANG)" = "x" ]; then \
		echo "No need to update translations. Skipping..."; \
	elif [ ! -d locale/$(SPHINXLANG) ]; then \
		echo "The locale directory for $(SPHINXLANG) does not exist"; \
		exit 1; \
	else \
		echo "Compiling exising message catalog for '$(SPHINXLANG)'"; \
		.scripts/compile-translation-catalogs; \
	fi

download-translations:
	@echo "Downloading $(SPHINXLANG) translations"
	.scripts/download-translation-catalog $(SPHINXLANG)

=== pkg/smartos/esky/requirements.txt ===
GitPython==0.3.2.RC1
dateutils
pyghmi
croniter
Mako
gnupg
-r ../../../requirements/opt.txt

=== debian/changelog ===
salt (2018.3.4+dfsg1-6+deb10u3) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2020-28243 CVE-2020-28972 CVE-2020-35662 CVE-2021-3148
    CVE-2021-3144 CVE-2021-25281 CVE-2021-25282 CVE-2021-25283 CVE-2021-25284
    CVE-2021-3197, CVE-2021-31607 and CVE-2021-21996.
    Multiple security vulnerabilites have been discovered in Salt, a powerful
    remote execution manager, that allow for local privilege escalation on a
    minion, server side template injection attacks, insufficient checks for
    eauth credentials, shell and command injections or incorrect validation of
    SSL certificates.

 -- Markus Koschany <apo@debian.org>  Thu, 18 Nov 2021 21:52:04 +0100

salt (2018.3.4+dfsg1-6+deb10u2) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Prevent shell injections in netapi SSH client (CVE-2020-16846)
  * Prevent creating world readable private keys with the TLS execution module
    (CVE-2020-17490)
  * Properly validate eauth credentials and tokens along with their ACLs
    (CVE-2020-25592)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 28 Dec 2020 21:06:07 +0100

salt (2018.3.4+dfsg1-6+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2020-11651: Resolve issue which allows access to un-intended
    methods in the ClearFuncs class of the salt-master process
    (Closes: #959684)
  * Fix CVE-2020-11652: Sanitize paths in ClearFuncs methods provided by
    salt-master (Closes: #959684)
  * Add note about log messages to hardening salt docs
  * salt-api NET API with the ssh client enabled is vulnerable to command
    injection (CVE-2019-17361) (Closes: #949222)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 03 May 2020 21:11:01 +0200

salt (2018.3.4+dfsg1-6) unstable; urgency=medium

  * Revert changes that were rejected by the release team:
    - Drop fixing various spelling mistakes
    - Drop using jquery.js from sphinx
    - Drop using dh_sphinxdoc
    - Drop patch to set script type explicitly to text/javascript
  * doc: Use local Open Sans fonts instead of querying Google
    to fix possible privacy breach

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Fri, 24 May 2019 15:01:45 +0200

salt (2018.3.4+dfsg1-5) unstable; urgency=medium

  * Cherry-pick upstream patch to fix edge case when minion ID is a
    16-character string (Closes: #928337)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 02 May 2019 13:23:44 +0200

salt (2018.3.4+dfsg1-4) unstable; urgency=medium

  * Cherry-pick upstream patch to fix retrieving systemd version (for 241-3)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Fri, 26 Apr 2019 16:38:39 +0200

salt (2018.3.4+dfsg1-3) unstable; urgency=medium

  [ Benjamin Drung ]
  * tests: Drop copying missing templates directory
  * salt-doc: Install favicon in document root and do not compress it
  * salt-doc: Fix JavaScript symlinks to bootstrap (Closes: #919849)
  * doc: Set script type explicitly to text/javascript
  * Use jquery.js from sphinx
  * Symlink vendor JavaScript files before building
  * Use dh_sphinxdoc

  [ Steffen Kockel ]
  * doc: Fix logo link to point to contents.html
  * doc: Ensure searchtools.js gets included (to fix the search)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 25 Apr 2019 13:39:10 +0200

salt (2018.3.4+dfsg1-2) unstable; urgency=medium

  * Fix test_xen_virtual on kernels with no Xen support (Closes: #922352)
  * Expose tornado4 as tornado for zmq.eventloop.ioloop (Closes: #924763)

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Wed, 17 Apr 2019 20:26:11 +0200

salt (2018.3.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches
  * Fix various spelling mistakes
  * Drop NOTICE from salt-common (the upstream tarball does not contain it)
  * Skip SampleConfTest and ExtendTestCase if the required sample conf or
    templates directories are missing
  * Run tests with LC_ALL=C.UTF-8
  * Remove unused minified documentation CSS files

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Fri, 05 Apr 2019 13:58:40 +0200

=== debian/control ===
Source: salt
Section: admin
Priority: optional
Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
Uploaders: Joe Healy <joehealy@gmail.com>,
           Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
           Andriy Senkovych <jolly_roger@itblog.org.ua>,
           Benjamin Drung <benjamin.drung@cloud.ionos.com>,
           Ondřej Nový <onovy@debian.org>
Build-Depends: bash-completion,
               debhelper (>= 11),
               dh-python,
               dpkg-dev (>= 1.16.2),
               python3,
               python3 (>= 3.6) | python3-mock,
               python3-augeas,
               python3-boto,
               python3-boto3,
               python3-cherrypy3,
               python3-consul,
               python3-croniter,
               python3-crypto (>= 2.6),
               python3-dateutil,
               python3-dnspython,
               python3-docker,
               python3-elasticsearch,
               python3-etcd,
               python3-git,
               python3-hglib,
               python3-isodate,
               python3-jinja2,
               python3-jsonschema,
               python3-junos-eznc,
               python3-keyring,
               python3-kubernetes,
               python3-ldap,
               python3-libcloud (>= 0.14.1),
               python3-msgpack,
               python3-mysqldb,
               python3-pip,
               python3-psutil,
               python3-pygit2,
               python3-pyinotify,
               python3-pyroute2,
               python3-pytestsalt,
               python3-pytoml,
               python3-pyvmomi,
               python3-requests (>= 1.0.0),
               python3-setuptools,
               python3-tornado4 (>= 4.2) | python3-tornado (<< 5),
               python3-tornado4 (>= 4.2) | python3-tornado (>= 4.2),
               python3-twilio,
               python3-yaml,
               python3-zmq (>= 13.1.0),
               virtualenv
Build-Depends-Indep: python3-doc, python3-sphinx (>= 1.3.5)
Standards-Version: 4.3.0
Homepage: http://saltstack.org/
Vcs-Browser: https://salsa.debian.org/salt-team/salt
Vcs-Git: https://salsa.debian.org/salt-team/salt.git
Rules-Requires-Root: binary-targets

Package: salt-common
Architecture: all
Depends: python3-apt,
         python3-dateutil,
         python3-jinja2,
         python3-msgpack,
         python3-pkg-resources,
         python3-psutil,
         python3-requests (>= 1.0.0),
         python3-tornado4 (>= 4.2) | python3-tornado (<< 5),
         python3-tornado4 (>= 4.2) | python3-tornado (>= 4.2),
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Recommends: lsb-release, python3-croniter
Suggests: python3-mako, salt-doc (= ${source:Version})
Breaks: python3-mako (<< 0.7.0),
        salt-formula-ceilometer (<= 2016.12.1-1),
        salt-formula-cinder (<= 2016.12.1-1),
        salt-formula-glance (<= 2016.12.1-1),
        salt-formula-keystone (<= 2016.12.1-1),
        salt-formula-kubernetes (<= 2016.12.1-1)
Description: shared libraries that salt requires for all packages
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides shared libraries that
 salt-master, salt-minion, and salt-syndic require to function.

Package: salt-master
Architecture: all
Depends: adduser,
         lsb-base (>= 3.0-6),
         python3-crypto (>= 2.6),
         python3-systemd | sysvinit-core,
         python3-zmq (>= 13.1.0),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-pygit2 | python3-git
Description: remote manager to administer servers via salt
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt controller.

Package: salt-minion
Architecture: all
Depends: bsdmainutils,
         dctrl-tools,
         lsb-base (>= 3.0-6),
         python3-crypto (>= 2.6),
         python3-systemd | sysvinit-core,
         python3-zmq (>= 13.1.0),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: debconf-utils, dmidecode, e2fsprogs, sfdisk
Suggests: python3-augeas
Description: client package for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the worker / agent for salt.

Package: salt-syndic
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python3-systemd | sysvinit-core,
         salt-master (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: master-of-masters for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the master of masters for salt
 - it enables the management of multiple masters at a time.

Package: salt-ssh
Architecture: all
Depends: salt-common (= ${source:Version}), ${misc:Depends}, ${python3:Depends}
Description: remote manager to administer servers via Salt SSH
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt ssh controller. It
 is able to run salt modules and states on remote hosts via ssh.
 No minion or other salt specific software needs to be installed
 on the remote host.

Package: salt-doc
Architecture: all
Section: doc
Depends: fonts-open-sans,
         libjs-bootstrap,
         libjs-jquery,
         libjs-modernizr,
         libjs-sphinxdoc,
         ${misc:Depends}
Breaks: salt-common (<< 2016.11.5)
Replaces: salt-common (<< 2016.11.5)
Description: additional documentation for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the HTML documentation for
 salt.

Package: salt-cloud
Architecture: all
Depends: python3-libcloud (>= 0.14.1-1),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-botocore
Recommends: python3-netaddr
Description: public cloud VM management system
 Salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Salt Cloud is built-in to Salt to provision systems on cloud hosts or
 hypervisors and immediately bring them under management.

Package: salt-api
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python3-systemd | sysvinit-core,
         salt-master,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-cherrypy3
Description: Generic, modular network access system
 a modular interface on top of Salt that can provide a variety of entry points
 into a running Salt system. It can start and manage multiple interfaces
 allowing a REST API to coexist with XMLRPC or even a Websocket API.
 .
 The Salt API system is used to expose the fundamental aspects of Salt control
 to external sources. salt-api acts as the bridge between Salt itself and
 REST, Websockets, etc.

Package: salt-proxy
Architecture: all
Depends: salt-minion (= ${source:Version}), ${misc:Depends}, ${python3:Depends}
Description: Proxy client package for salt stack
 Proxy minion allows a remote manager to administer devices that are unable to
 run a minion. salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 devices. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --buildsystem pybuild --with bash-completion,python3

override_dh_auto_build:
	dh_auto_build
	rm -f doc/_themes/saltstack/static/css/*.min.css doc/_themes/saltstack/static/js/vendor/*.js
	HTML_THEME=saltstack make -C doc html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
	HTML_THEME=saltstack make -C doc man SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

override_dh_auto_install:
	# Work around missing global options support: https://bugs.debian.org/890906
	HOME=$(wildcard .pybuild/pythonX.Y_3*) python3 ./setup.py --salt-state-dir=/var/lib/salt install --install-layout deb --root $(CURDIR)/debian/tmp

override_dh_auto_clean:
	make -C doc clean
	dh_auto_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Disable the tests because of a write access failure in /etc/hosts
	# This is not a regression but also not critical to investigate. Enable the
	# tests again when testing for future security update regressions.
	#LC_ALL=C.UTF-8 python3 ./tests/runtests.py -v --no-report --unit
endif

override_dh_install:
	dh_install -X/usr/share/man/man

override_dh_compress:
	dh_compress -X.ico

override_dh_fixperms:
	dh_fixperms
	chmod 2750 debian/salt-common/var/log/salt
	chown root:adm debian/salt-common/var/log/salt

override_dh_missing:
	dh_missing -X/usr/share/man/man --fail-missing

## salt 2018.3.4.1+dfsg1

=== debian/changelog ===
salt (2018.3.4.1+dfsg1-6+deb10u2) buster; urgency=high

  * fix CVE-2020-16846 CVE-2020-17490 CVE-2020-25592 CVE-2020-11651 CVE-2020-11652
  * fix CVE-2020-28243, CVE-2020-28972, CVE-2020-35662, CVE-2021-25281, CVE-2021-25282, CVE-2021-25283, CVE-2021-25284, CVE-2021-3144, CVE-2021-3148, CVE-2021-3197

 -- liubo <liubo@uniontech.com>  Mon, 15 Nov 2021 10:29:59 +0800

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	# Disable the tests because of a write access failure in /etc/hosts
-	# This is not a regression but also not critical to investigate. Enable the
-	# tests again when testing for future security update regressions.
-	#LC_ALL=C.UTF-8 python3 ./tests/runtests.py -v --no-report --unit
+	LC_ALL=C.UTF-8 python3 ./tests/runtests.py -v --no-report --unit
 endif
 
 override_dh_install:

=== debian/tests/control ===
Test-Command: cp -r conf scripts tests "$AUTOPKGTEST_TMP"; cd "$AUTOPKGTEST_TMP"; python3 ./tests/runtests.py -v --no-report --unit
Depends: python3 (>= 3.6) | python3-mock,
         python3-augeas,
         python3-boto,
         python3-boto3,
         python3-cherrypy3,
         python3-consul,
         python3-croniter,
         python3-crypto (>= 2.6),
         python3-dnspython,
         python3-docker,
         python3-elasticsearch,
         python3-etcd,
         python3-hglib,
         python3-isodate,
         python3-jsonschema,
         python3-junos-eznc,
         python3-keyring,
         python3-kubernetes,
         python3-ldap,
         python3-libcloud (>= 0.14.1),
         python3-mysqldb,
         python3-pip,
         python3-pygit2,
         python3-pyinotify,
         python3-pyroute2,
         python3-pytestsalt,
         python3-pytoml,
         python3-pyvmomi,
         python3-twilio,
         python3-zmq (>= 13.1.0),
         salt-common,
         virtualenv
Restrictions: allow-stderr
Features: test-name=unittest

## salt 2019.2.2+ds

=== doc/Makefile ===
--- 
+++ 
@@ -66,7 +66,7 @@
 
 # User-friendly check for sphinx-build
 check_sphinx-build:
-	@which $(SPHINXBUILD) >/dev/null 2>&1 || (echo "The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)" >&2; false)
+	@which $(SPHINXBUILD) >/dev/null 2>&1 || (echo "The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://www.sphinx-doc.org/en/master/)" >&2; false)
 
 html: check_sphinx-build translations
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

## salt 2019.2.3+dfsg1

=== debian/changelog ===
salt (2019.2.3+dfsg1-2) unstable; urgency=medium

  * Fix all unit test failures on Python 3.8:
    - Replace deprecated inspect.formatargspec
    - Support distro.linux_distribution
    - Fix RuntimeError: dictionary keys changed during iteration
    - Fix unit.modules.test_virt.VirtTestCase.test_update

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Mon, 03 Feb 2020 09:57:12 +0100

salt (2019.2.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Fix command injection in salt-api NEST API (CVE-2019-17361)
      (Closes: #949222)
  * Drop 11 patches that are included upstream
  * Run KubernetesTestCase.test_setup_client_key_file again
  * Split and refresh patch for disabling failing tests
  * Refresh remaining patches
  * Skip hanging unit.transport.test_zeromq.AESReqTestCases
  * Skip failing ConfigTestCase.test_datetime_config_validation
  * Skip test_check_virtualname if source directory is not found
  * Mock kubernetes when building the documentation
  * Bump Standards-Version to 4.5.0 (no changes required)
  * Depend on python3-distro for Python >= 3.8

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Wed, 29 Jan 2020 14:27:51 +0100

salt (2018.3.4+dfsg1-7) unstable; urgency=medium

  * doc: Set script type explicitly to text/javascript
  * Use jquery.js from sphinx
  * Symlink vendor JavaScript files before building
  * Use dh_sphinxdoc
  * Fix various spelling mistakes
  * Fix salt to work with python3-yaml 5.1.2-1 (Closes: #933922):
    - Set default_flow_style=None in yaml.dump calls
    - Fix yamldumper test for both py2/py3
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * Switch to debhelper 12
  * Add missing Pre-Depends on ${misc:Pre-Depends}

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Thu, 29 Aug 2019 18:26:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
            Benjamin Drung <benjamin.drung@cloud.ionos.com>,
            Ondřej Nový <onovy@debian.org>
 Build-Depends: bash-completion,
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                dh-python,
                dpkg-dev (>= 1.16.2),
+               libjs-bootstrap,
+               libjs-modernizr,
                python3,
                python3 (>= 3.6) | python3-mock,
                python3-augeas,
@@ -21,6 +23,7 @@
                python3-croniter,
                python3-crypto (>= 2.6),
                python3-dateutil,
+               python3-distro | python3 (<< 3.8),
                python3-dnspython,
                python3-docker,
                python3-elasticsearch,
@@ -52,9 +55,10 @@
                python3-twilio,
                python3-yaml,
                python3-zmq (>= 13.1.0),
+               sphinx-common,
                virtualenv
 Build-Depends-Indep: python3-doc, python3-sphinx (>= 1.3.5)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: http://saltstack.org/
 Vcs-Browser: https://salsa.debian.org/salt-team/salt
 Vcs-Git: https://salsa.debian.org/salt-team/salt.git
@@ -64,6 +68,7 @@
 Architecture: all
 Depends: python3-apt,
          python3-dateutil,
+         python3-distro | python3 (<< 3.8),
          python3-jinja2,
          python3-msgpack,
          python3-pkg-resources,
@@ -104,6 +109,7 @@
 
 Package: salt-master
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
          lsb-base (>= 3.0-6),
          python3-crypto (>= 2.6),
@@ -134,6 +140,7 @@
 
 Package: salt-minion
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: bsdmainutils,
          dctrl-tools,
          lsb-base (>= 3.0-6),
@@ -166,6 +173,7 @@
 
 Package: salt-syndic
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: lsb-base (>= 3.0-6),
          python3-systemd | sysvinit-core,
          salt-master (= ${source:Version}),
@@ -219,12 +227,12 @@
 Package: salt-doc
 Architecture: all
 Section: doc
+Built-Using: ${sphinxdoc:Built-Using}
 Depends: fonts-open-sans,
          libjs-bootstrap,
-         libjs-jquery,
          libjs-modernizr,
-         libjs-sphinxdoc,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
 Breaks: salt-common (<< 2016.11.5)
 Replaces: salt-common (<< 2016.11.5)
 Description: additional documentation for salt, the distributed remote execution system
@@ -274,6 +282,7 @@
 
 Package: salt-api
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: lsb-base (>= 3.0-6),
          python3-systemd | sysvinit-core,
          salt-master,
@@ -299,12 +308,3 @@
  .
  It allows commands to be executed across large groups of
  devices. This means systems can be easily managed, but data can
- also be easily gathered.  Quick introspection into running
- systems becomes a reality.
- .
- Remote execution is usually used to set up a certain state on a
- remote system. Salt addresses this problem as well, the salt
- state system uses salt state files to define the state a server
- needs to be in.
- .
- Between the remote execution system, and state management Salt

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,13 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --buildsystem pybuild --with bash-completion,python3
+	dh $@ --buildsystem pybuild --with bash-completion,python3,sphinxdoc
 
 override_dh_auto_build:
 	dh_auto_build
 	rm -f doc/_themes/saltstack/static/css/*.min.css doc/_themes/saltstack/static/js/vendor/*.js
+	ln -s /usr/share/javascript/bootstrap/js/bootstrap.min.js doc/_themes/saltstack/static/js/vendor/bootstrap.min.js
+	ln -s /usr/share/javascript/modernizr/modernizr.min.js doc/_themes/saltstack/static/js/vendor/modernizr-2.6.2-respond-1.1.0.min.js
 	HTML_THEME=saltstack make -C doc html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
 	HTML_THEME=saltstack make -C doc man SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
          python3-consul,
          python3-croniter,
          python3-crypto (>= 2.6),
+         python3-distro | python3 (<< 3.8),
          python3-dnspython,
          python3-docker,
          python3-elasticsearch,

## salt 2019.2.4+ds

=== debian/changelog ===
salt (2019.2.4+ds-1) stable; urgency=medium

  * Build of Salt 2019.2.4  for Python 3

 -- Salt Stack Packaging <packaging@saltstack.com>  Tue, 21 Apr 2020 11:37:26 -0700

=== debian/control ===
Source: salt
Section: admin
Priority: extra
Maintainer: Debian Salt Team <pkg-salt-team@lists.alioth.debian.org>
Uploaders: Joe Healy <joehealy@gmail.com>,
           Franklin G Mendoza <franklin.g.mendoza@gmail.com>,
           Andriy Senkovych <jolly_roger@itblog.org.ua>,
           David Murphy <dmurphy@saltstack.com>
Build-Depends: bash-completion,
               debhelper (>= 9.20120410~),
               dh-python,
               dh-systemd (>= 1.4),
               python | python-all | python-dev | python-all-dev,
               python-debian,
               python-setuptools,
               python-sphinx (>= 1.0)
Standards-Version: 3.9.6
Homepage: http://saltstack.org/
Vcs-Browser: https://github.com/saltstack/salt.git
Vcs-Git: git://github.com/saltstack/salt.git

Package: salt-common
Architecture: all
Depends: python-apt,
         python-dateutil,
         python-jinja2,
         python-msgpack (>= 0.4),
         python-pkg-resources,
         python-requests (>= 1.0.0),
         python-concurrent.futures,
         python-tornado (>= 4.2.1),
         python-yaml,
         python-systemd,
         python-psutil,
         ${misc:Depends},
         ${python:Depends}
Recommends: lsb-release, python-croniter
Breaks: python-mako (<< 0.7.0)
Description: shared libraries that salt requires for all packages
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides shared libraries that
 salt-master, salt-minion, and salt-syndic require to function.

Package: salt-master
Architecture: all
Depends: lsb-base (>= 3.0-6),
         python-crypto (>= 2.6.1),
         python-zmq (>= 14.4.0),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: python-git
Description: remote manager to administer servers via salt
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt controller.

Package: salt-minion
Architecture: all
Depends: lsb-base (>= 3.0-6),
         bsdmainutils,
         dctrl-tools,
         python-crypto (>= 2.6.1),
         python-zmq (>= 14.4.0),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Recommends: debconf-utils, dmidecode, sfdisk, e2fprogs
Suggests: python-augeas
Description: client package for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the worker / agent for salt.

Package: salt-syndic
Architecture: all
Depends: lsb-base (>= 3.0-6),
         salt-master (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: master-of-masters for salt, the distributed remote execution system
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the master of masters for salt
 - it enables the management of multiple masters at a time.

Package: salt-ssh
Architecture: all
Depends: salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Description: remote manager to administer servers via Salt SSH
 salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 It allows commands to be executed across large groups of
 servers. This means systems can be easily managed, but data can
 also be easily gathered.  Quick introspection into running
 systems becomes a reality.
 .
 Remote execution is usually used to set up a certain state on a
 remote system. Salt addresses this problem as well, the salt
 state system uses salt state files to define the state a server
 needs to be in.
 .
 Between the remote execution system, and state management Salt
 addresses the backbone of cloud and data center management.
 .
 This particular package provides the salt ssh controller. It
 is able to run salt modules and states on remote hosts via ssh.
 No minion or other salt specific software needs to be installed
 on the remote host.


Package: salt-cloud
Architecture: all
Depends: python-libcloud (>= 0.14.1-1),
         salt-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-botocore
Recommends: python-netaddr
Description: public cloud VM management system
 provision virtual machines on various public clouds via a cleanly
 controlled profile and mapping system.

Package: salt-api
Architecture: all
Depends: lsb-base (>= 3.0-6),
         salt-master,
         ${misc:Depends},
         ${python:Depends}
Recommends: python-cherrypy3
Description: Generic, modular network access system
 a modular interface on top of Salt that can provide a variety of entry points
 into a running Salt system. It can start and manage multiple interfaces
 allowing a REST API to coexist with XMLRPC or even a Websocket API.
 .
 The Salt API system is used to expose the fundamental aspects of Salt control
 to external sources. salt-api acts as the bridge between Salt itself and
 REST, Websockets, etc.
